﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

namespace SitefinityWebApp.Controls
{
    public partial class AppointmentToolTip2 : System.Web.UI.UserControl
    {
            private Appointment apt;

            public Appointment TargetAppointment
            {
                get
                {
                    return apt;
                }

                set
                {
                    apt = value;
                }
            }

            protected override void OnPreRender(EventArgs e)
            {
                base.OnPreRender(e);

                StartingOn.Text = apt.Owner.UtcToDisplay(apt.Start).ToString();
                FullText.Text = apt.Subject;
            }
        }
    
}